<!DOCTYPE html>
<html>
  <head>
    <title>Flexbox Pricing Table</title>
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Sono:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <style>
      .pricing-container{
        display: flex;
        justify-content: center;
        align-items: center;
      }
      .plan-title{
        font-weight: bold;
      }
      .pricing-plan{
        border: 2px solid black;
        box-shadow: inset 0.2rem 0.2rem 0.2rem 0.2rem black;
        height: 18rem;
        width: 15rem;
        background-color: gainsboro;
        gap: 1rem;
        margin: 1rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
      }
      button{
        color: blue;
        background-color: gold;
      }
      button:hover{
        background-color: orange;
        color: blueviolet;
      }
      @media (min-width: 800px){
        .pricing-container{
          flex-direction: row;
        }
      }
      @media (max-width: 799px){
        .pricing-container{
          flex-direction: column;
        }
      }
      .plan-features{
        list-style: none;
      }
      
      body {
        font-family: "Sono", sans-serif;
      }

      /* Hint: What can you do with a media query and flexbox? */
      @media (max-width: 1250px) {
      }
    </style>
  </head>

  <body>
    <div class="pricing-container">
      <div class="pricing-plan">
        <div class="plan-title">Basic</div>
        <div class="plan-price">$9.99/month</div>
        <ul class="plan-features">
          <li>✅ 10GB Storage</li>
          <li>✅ 1 User</li>
          <li>🚫 Support</li>
        </ul>
        <button class="plan-button">Sign Up</button>
      </div>
      <div class="pricing-plan">
        <div class="plan-title">Standard</div>
        <div class="plan-price">$19.99/month</div>
        <ul class="plan-features">
          <li>✅ 50GB Storage</li>
          <li>✅ 5 Users</li>
          <li>✅ Phone &amp; Email Support</li>
        </ul>
        <button class="plan-button">Sign Up</button>
      </div>
      <div class="pricing-plan">
        <div class="plan-title">Premium</div>
        <div class="plan-price">$49.99/month</div>
        <ul class="plan-features">
          <li>✅ 100GB Storage</li>
          <li>✅ 10 Users</li>
          <li>✅ 24/7 Support</li>
        </ul>
        <button class="plan-button">Sign Up</button>
      </div>
    </div>
  </body>
</html>
